Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227706 - logrotate run from cron.daily exits abnormally with an error
Summary: logrotate run from cron.daily exits abnormally with an error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: logrotate
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 17:55 UTC by Andrew
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-19 09:16:58 UTC


Attachments (Terms of Use)

Description Andrew 2007-02-07 17:55:16 UTC
Description of problem:

logrotate run from cron.daily exits abnomrally.  Started after package update on
05 Feb 2007.

/etc/cron.daily/logrotate:
 
*** glibc detected *** /usr/sbin/logrotate: free(): invalid pointer: 0x0881a6d8 ***

Version-Release number of selected component (if applicable):

logrotate.i386 3.7.4-10.fc6
Started after package update on 05 Feb 2007.

kernel-2.6.19-1.2895.fc6.i686
kernel-headers-2.6.19-1.2895.fc6.i386

glibc-2.5-10.fc6.i686
glibc-common-2.5-10.fc6.i386

CPU0: AMD Athlon(tm) XP 2000+ stepping 00

How reproducible:

Happens every day when run through cron.daily job.  Can be reproduced by
manually running /etc/cron.daily/logrotate

Steps to Reproduce:
1.
2.
3.
  
Actual results:

*** glibc detected *** /usr/sbin/logrotate: free(): invalid pointer: 0x0881a6d8 ***

Expected results:

quiet exit

Additional info:

/etc/logrotate.conf:

weekly
rotate 4
create
missingok
notifempty
compresscmd=/usr/bin/bzip2
compressoptions=--best
compressext=.bz2
compress
include /etc/logrotate.d
/var/log/wtmp {
    create 0664 root utmp
}
/var/log/btmp {
    create 0600 root utmp
}
/var/log/lastlog {
    copytruncate
    create 0400 root root
}



Complete output of cron.daily job:


/etc/cron.daily/logrotate:
 
*** glibc detected *** /usr/sbin/logrotate: free(): invalid pointer: 0x0881a6d8 ***
======= Backtrace: =========
/lib/libc.so.6[0x41bb009d]
/lib/libc.so.6(cfree+0x90)[0x41bb36f0]
/usr/sbin/logrotate[0x804d631]
/usr/sbin/logrotate[0x8050b7c]
/usr/sbin/logrotate[0x804cac7]
/lib/libc.so.6(__libc_start_main+0xdc)[0x41b5ff2c]
/usr/sbin/logrotate[0x8049681]
======= Memory map: ========
00eca000-00ed3000 r-xp 00000000 03:02 196072     /lib/libnss_files-2.5.so
00ed3000-00ed4000 r-xp 00008000 03:02 196072     /lib/libnss_files-2.5.so
00ed4000-00ed5000 rwxp 00009000 03:02 196072     /lib/libnss_files-2.5.so
00f2a000-00f2b000 r-xp 00f2a000 00:00 0          [vdso]
08048000-08053000 r-xp 00000000 03:02 1344356    /usr/sbin/logrotate
08053000-08055000 rwxp 0000a000 03:02 1344356    /usr/sbin/logrotate
0881a000-0883b000 rwxp 0881a000 00:00 0 
41b2d000-41b46000 r-xp 00000000 03:02 196108     /lib/ld-2.5.so
41b46000-41b47000 r-xp 00018000 03:02 196108     /lib/ld-2.5.so
41b47000-41b48000 rwxp 00019000 03:02 196108     /lib/ld-2.5.so
41b4a000-41c81000 r-xp 00000000 03:02 196211     /lib/libc-2.5.so
41c81000-41c83000 r-xp 00137000 03:02 196211     /lib/libc-2.5.so
41c83000-41c84000 rwxp 00139000 03:02 196211     /lib/libc-2.5.so
41c84000-41c87000 rwxp 41c84000 00:00 0 
41c89000-41c8b000 r-xp 00000000 03:02 196305     /lib/libdl-2.5.so
41c8b000-41c8c000 r-xp 00001000 03:02 196305     /lib/libdl-2.5.so
41c8c000-41c8d000 rwxp 00002000 03:02 196305     /lib/libdl-2.5.so
41c8f000-41cca000 r-xp 00000000 03:02 196374     /lib/libsepol.so.1
41cca000-41ccb000 rwxp 0003b000 03:02 196374     /lib/libsepol.so.1
41ccb000-41cd5000 rwxp 41ccb000 00:00 0 
41cd7000-41cec000 r-xp 00000000 03:02 196376     /lib/libselinux.so.1
41cec000-41cee000 rwxp 00015000 03:02 196376     /lib/libselinux.so.1
41d3d000-41d48000 r-xp 00000000 03:02 196392     /lib/libgcc_s-4.1.1-20070105.so.1
41d48000-41d49000 rwxp 0000a000 03:02 196392     /lib/libgcc_s-4.1.1-20070105.so.1
41e89000-41e90000 r-xp 00000000 03:02 1340897    /usr/lib/libpopt.so.0.0.0
41e90000-41e91000 rwxp 00006000 03:02 1340897    /usr/lib/libpopt.so.0.0.0
b7e00000-b7e21000 rw-p b7e00000 00:00 0 
b7e21000-b7f00000 ---p b7e21000 00:00 0 
b7f36000-b7f39000 rw-p b7f36000 00:00 0 
bfd67000-bfd7c000 rw-p bfd67000 00:00 0          [stack]
/etc/cron.daily/logrotate: line 3:  7143 Aborted                
/usr/sbin/logrotate /etc/logrotate.conf

Comment 1 Andrew 2007-02-07 18:10:41 UTC
Output from /etc/cron.daily/logrotate script also includes:

Feb  7 05:04:52 shrew logrotate: ALERT exited abnormally with [134]

Comment 2 Andrew 2007-02-08 00:22:52 UTC
I reverted the logrotate package to the previous build (logrotate.i386
3.7.4-9.fc6) and this issue does not occur now.

Comment 3 Peter Vrabec 2007-02-08 14:48:57 UTC
fixed in logrotate-3.7.4-12.fc6


Note You need to log in before you can comment on or make changes to this bug.